rng(2)
clear; close all; clc
T = 1000;
r = (1:T)/T;
lambda = 0.1;
Tlambda = floor(T*lambda);
rho(1,1:T) = 0.95;
rho(Tlambda+1:T) = 0.3;
Sigma = 1./sqrt(1-2*rho+rho.^2);
%Sigma(1,1)=
%Sigma = 2;

N = 50000;
Nb = 50;
omega = zeros(Nb,N);
tstat = zeros(Nb,N);
b = linspace(0,1,Nb+1);
b(1) = [];
for j = 1:N
    dW = 1/sqrt(T)*randn(1,T);
    tvdW = Sigma.*dW;
    tvW = cumsum(Sigma.*dW);
    tvB = tvW-r*tvW(T);
    tvB_l = tvB;
    %tvB_l = [0,tvB(1:T-1)];
    %plot(tvbb)
    for i = 1:Nb
        shift = floor(b(i)*T);
        if i < Nb
            omega(i,j) =2/b(i)*sum(tvB_l.*tvB_l*1/T)-1/b(i)*...
                sum((tvB_l(shift+1:T).*tvB_l(1:T-shift)+tvB_l(1:T-shift).*tvB_l(shift+1:T))*1/T);
        else
            omega(i,j) =2/b(i)*sum(tvB_l.*tvB_l*1/T);
        end
        tstat(i,j) = tvW(T)/sqrt(omega(i,j));
    end
end
tstat_sort = sort(tstat,2);
cv_ns_fixedb = quantile(tstat_sort,0.95,2);