function CV = tv_fixedb_feasible(Sigma,alpha)
%rng(1)
T = size(Sigma,1);
r = (1:T)/T;

N = 1000;
Nb = 50;
omega = zeros(Nb,N);
tstat = zeros(Nb,N);
b = linspace(0,1,Nb+1);
b(1) = [];
for j = 1:N
    j
    dW = 1/sqrt(T)*randn(1,T);
    tvdW = Sigma.*dW;
    tvW = cumsum(tvdW);
    tvB = tvW-r*tvW(T);
    %tvB_l = tvB;
    tvB_l = [0,tvB(1:T-1)]; % evaluate the integrand on the left
    %plot(tvbb)
    for i = 1:Nb-1
        shift = floor(b(i)*T);
        omega(i,j) =2/b(i)*sum(tvB_l.*tvB_l*1/T)-1/b(i)*...
            sum((tvB_l(shift+1:T).*tvB_l(1:T-shift)+tvB_l(1:T-shift).*tvB_l(shift+1:T))*1/T);
        tstat(i,j) = tvW(T)/sqrt(omega(i,j));
    end
    omega(Nb,j) =2/b(i)*sum(tvB_l.*tvB_l*1/T);
    tstat(Nb,j) = tvW(T)/sqrt(omega(Nb,j));
end
tstat_sort = sort(tstat,2);
CV = quantile(tstat_sort,alpha,2);
end